[SOLVED] Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Forum rules
Before you post please read this
gatons
Level 1
Level 1
Posts: 17
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons »

josefg wrote:
Thu Jan 10, 2019 2:39 pm
Hi gatons,

Have you come any further on this issue? Sounds very much like the same problem as what I have with our Canon LBP7210 (LBP7210Cdn to be more exact), which works from Mint 18.3 but not from Mint 19.
Hi,

looks you have the same problem. I think - something with cups packages and now i wait for answer/solution from Mint developers on github.
gatons
Level 1
Level 1
Posts: 17
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons »

Problem solved:

After command

Code: Select all

echo Y > /sys/module/usbcore/parameters/old_scheme_first
problem solved and printer works. I put this line in /etc/rc.local file .
josefg
Level 2
Level 2
Posts: 90
Joined: Sun Jun 12, 2011 7:07 pm

Re: [SOLVED] Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by josefg »

Thanks, I'm going to try it out!
josefg
Level 2
Level 2
Posts: 90
Joined: Sun Jun 12, 2011 7:07 pm

Re: [SOLVED] Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by josefg »

Dear gatons, your solution works on LM 20 as well, at least for the Canon i-SENSYS LPB7210Cdn.

It was crucial to read your instructions on GitHub though, so as to make sure the content of the newly created /etc/rc.local was complete, and to set the file as executable.
The complete installation routine I followed was thus:

Install the driver packages:
cndrvcups-common_3.20-1_amd64.deb
cndrvcups-capt_2.70-1_amd64.deb

Install the 32-bit libraries:

Code: Select all

sudo apt install ia32-libs
Set up the printer in the CCPD:

Code: Select all

sudo /usr/sbin/lpadmin -p LBP7210 -m CNCUPSLBP7210CCAPTK.ppd -v ccp://localhost:59787 -E
sudo /usr/sbin/ccpdadmin -p LBP7210 -o net:192.168.1.215
Create the /etc/rc.local file:

Code: Select all

sudo xed /etc/rc.local
Paste the following lines into the created file:

Code: Select all

#!/bin/bash
echo Y > /sys/module/usbcore/parameters/old_scheme_first

/etc/init.d/ccpd stop
/etc/init.d/ccpd start
Save the file and exit Xed.
Make the file executable:

Code: Select all

sudo chmod 755 /etc/rc.local
Reboot the computer.

Open the printer status monitor with the command:

Code: Select all

captstatusui -P LBP7210
Enjoy. And above all, thanks to the contributors of this thread for your priceless help.
josefg
Level 2
Level 2
Posts: 90
Joined: Sun Jun 12, 2011 7:07 pm

Re: [SOLVED] Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by josefg »

The above routine was for installation as a network printer. Adjust if you are connecting directly with a USB cable.
Post Reply

Return to “Printers & Scanners”